#
# Conditional build:
%bcond_with	pandoc		# build man pages with pandoc
%bcond_without	tests		# build without tests
#
Summary:	C library to access the HSTS preload list
Summary(pl.UTF-8):	Biblioteka C służąca do dostępu do list wstępnych HSTS
Name:		libhsts
Version:	0.1.0
Release:	4
License:	BSD
Group:		Libraries
#Source0Download: https://gitlab.com/rockdaboot/libhsts/-/tags
Source0:	https://gitlab.com/rockdaboot/libhsts/uploads/4753f61b5a3c6253acf4934217816e3f/%{name}-%{version}.tar.gz
# Source0-md5:	5599c8b2530df6b26ed5e766a8d9ed3c
URL:		https://gitlab.com/rockdaboot/libhsts
BuildRequires:	doxygen
%{?with_pandoc:BuildRequires:	pandoc}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HSTS preload list is a list of domains that support HTTPS. The
list is compiled by Google and is utilised by Chrome, Firefox and
others. With this information, a HTTP client may contact a website
without trying a plain-text HTTP connection first. It prevents
interception with redirects that take place over HTTP. None of the
sent data will ever be unencrypted.

%description -l pl.UTF-8
Wstępnie ładowana lista HSTS to lista domen obsługujących HTTPS. Lista
jest składana przez Google i wykorzystywana przez Chrome, Firefoksa i
inne przeglądarki. Przy użyciu tych informacji klient HTTP może
połączyć się ze stroną bez próby wcześniejszego nawiązania połączenia
tekstowego HTTP. Chroni przed przejęciem z przekierowaniem po HTTP.
Nie są wysyłane żadne niezaszyfrowane dane.

%package devel
Summary:	Header files and development documentation for libhsts
Summary(es.UTF-8):	Arquivos de cabeçalho e bibliotecas de desenvolvimento para libhsts
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do biblioteki libhsts
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para a libhsts
Summary(ru.UTF-8):	Хедеры и библиотеки програмиста для libhsts
Summary(uk.UTF-8):	Хедери та бібліотеки програміста для libhsts
Group:		Development/Libraries
Requires:	%{name} = %{?epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libhsts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki libhsts.

%package static
Summary:	Static libhsts library
Summary(es.UTF-8):	Biblioteca estática usada no desenvolvimento de aplicativos com libhsts
Summary(pl.UTF-8):	Biblioteka statyczna libhsts
Summary(pt_BR.UTF-8):	Biblioteca estática de desenvolvimento
Summary(ru.UTF-8):	Статическая библиотека libhsts
Summary(uk.UTF-8):	Статична бібліотека libhsts
Group:		Development/Libraries
Requires:	%{name}-devel = %{?epoch}:%{version}-%{release}

%description static
Static libhsts library.

%description static -l pl.UTF-8
Biblioteka statyczna libhsts.

%description static -l ru.UTF-8
Статическая библиотека, необходимая для программирования с libhsts.

%description static -l uk.UTF-8
Статична бібліотека, необхідна для програмування з libhsts.

%prep
%setup -q

%build
%configure  \
	--disable-silent-rules

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{without pandoc}
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,3}
cp -p docs/man/man1/hsts*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p docs/man/man3/libhsts.3 $RPM_BUILD_ROOT%{_mandir}/man3
%endif

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhsts.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_bindir}/hsts
%attr(755,root,root) %{_libdir}/libhsts.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhsts.so.0
%{_mandir}/man1/hsts.1*
%{_mandir}/man1/hsts-make-dafsa.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhsts.so
%{_includedir}/libhsts.h
%{_pkgconfigdir}/libhsts.pc
%{_mandir}/man3/libhsts.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhsts.a
%changelog
* Thu Dec 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhsts.git;a=log;h=master

* Thu Dec 02 2021 Jakub Bogusz <qboosh@pld-linux.org> bde5adb
- pl, drop .la file; release 4

* Sun Jun 07 2020 Jan Rękorajski <baggins@pld-linux.org> 91396b4
- we have pandoc on x32 now

* Sun Jan 19 2020 Jan Rękorajski <baggins@pld-linux.org> 0723f2a
- rename man bcond to pandoc and install pre-built man pages on x32
- rel 3

* Sun Jan 19 2020 Jan Rękorajski <baggins@pld-linux.org> b21f366
- no pandoc on x32, so no man pages
- rel 2

* Mon Jan 13 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e325257
- drop invalid descriptions

* Mon Jan 13 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> a46edab
- initial

